%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Test-Script
%define modv   1.07
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       Basic cross-platform tests for scripts
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Adam Kennedy <adamk@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.5
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 0.80
BuildRequires: perl(FindBin)
BuildRequires: perl(IPC::Run3) >= 0.034
BuildRequires: perl(Probe::Perl) >= 0.01
BuildRequires: perl(Test::More) >= 0.62
BuildRequires: perl(Test::Builder) >= 0.32
BuildRequires: perl(Test::Builder::Tester) >= 1.02
BuildArch:     noarch


%description
Test::Script is intended to provide a series of basic tests for 80% of the
testing needed to do for scripts in the script (or bin) paths of the Perl
distribution. Further, it aims to provide this functionality with perfect
platform-compatibility, and in a way that is as unobtrusive as possible.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
# XXX: Remove failing tests on EL-5 (Test::Builder problem?)
%{?el5:%{__rm} t/{03_compiles_bad,05_runs_bad}.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Tue May 04 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.07-1
- Initial build
